A Warning Before Installing Magic+ 2.1 Update


Last Updated:

  1. XBrav

    XBrav Well-Known Member This Topic's Starter

    Joined:
    Jan 24, 2010
    Messages:
    157
    Likes Received:
    15
    Hey everyone,

    Ok, after working with Puleen for many hours last night, I don't want any more users getting stuck with bricked phones.

    Simply put...

    ONLY RUN THE 2.1 UPDATE IF YOU ARE COMING FROM THE E911 INSTALL!

    Continue reading to find out why...

    Ok, so GreatBigDog01 did some investigation into the update, as I don't personally own a Magic, but rather a Dream.

    The 2.1 update from the HTC website contains an update to the radio, bootloader, and data partitions. However, it doesn't change the SPL.

    If you rooted your device, you most likely changed your SPL to change the radio to the e911 Dream radio for data.

    The new HBOOT is not compatible with any radios other than the one shipped with the e911 update, and the one contained in this package.

    Now, I have seen many errors, but all seem to result from coming from non e911 Magics. So, the only way to ensure full compatibility is to revert to the e911 update.

    I am not currently endorsing running the e911 RUU first to revert. However, if anybody has tried running the e911 update to go from a custom ROM, SPL, and radio, back to the e911 update, please post your results below. If enough results are posted, I'll update this post with the results.

    But I will reiterate:
    ONLY RUN THE 2.1 UPDATE IF YOU ARE COMING FROM THE E911 INSTALL!
     

    Advertisement
    damnmad likes this.
  2. Silvertag

    Silvertag Well-Known Member

    Joined:
    Dec 16, 2009
    Messages:
    189
    Likes Received:
    19
    I'd add a extra precaution to any one with a custom rom on a 3.22.xx radio who would want to install the 2.1. (I HAVE NOT TESTED THIS PROCEDURE) Use the radio switcher gui from xda to revert back to a 6.35 radio prior to running E911 RUU & 2.1 update.

    I did use the radio switcher to switch from 6.35 to a 3.22 for CM6 but nothing else. I'm just advising this should probably save you some errors with the 2.1 update but it's still only a theory

    [TOOL]Radio Switcher v."GUI 4.1" More secure than ever! [Win/Linux/Mac] - xda-developers
     
  3. jeifei72

    jeifei72 Member

    Joined:
    Jul 14, 2010
    Messages:
    5
    Likes Received:
    0
    i used to be running cyanogen 6, but the fact that my mobile network was disconnecting alteast 4 times a day i decided to try the rogers 2.1.
    what i did was run the E911 RUU with 1.5 and it brought me back with all the to 1.5 with all the radio and what not. immediately after i turned on my phone it said an update was available and i just went from there and all is good
     
  4. Silvertag

    Silvertag Well-Known Member

    Joined:
    Dec 16, 2009
    Messages:
    189
    Likes Received:
    19
    Do you remember what 3.22.xx version you where running and what recovery you had (RA-Hero,Clockwork) ?

    Just trying to pinpoint what to have and not have.
     
  5. vikingisson

    vikingisson Well-Known Member

    Joined:
    Nov 13, 2009
    Messages:
    856
    Likes Received:
    24
    I hinted at that potential problem yesterday, I should have been louder. :(

    I expected trouble with this kind of update so I went with the normal recovery mode flash method, there are a couple of .zip roms already at xd-forums. At least I could go back if it didn't work. I'm not sure why anyone would flash the official, sure to be locked down and probably gonna brick my phone rom if they were already rooted. The rom happens to be pretty good for a 2.1 but long term I prefer not using Sense and their versions of email and comm apps. At least I can go back.
     
  6. Tangsta

    Tangsta New Member

    Joined:
    Sep 10, 2010
    Messages:
    2
    Likes Received:
    0
    I successfully used the 911 RUU to revert back to cupcake, but still ended up getting the signature error when trying to do the RUU update to the HTC eclair rom.

    I've been trying to get the OTA update, but when I force the check for updates, it still says that my phone is up to date.

    Any ideas?
     
  7. vikingisson

    vikingisson Well-Known Member

    Joined:
    Nov 13, 2009
    Messages:
    856
    Likes Received:
    24
    ^are you rooted, or can go back to root? You would be safer to flash the update.zip style from xd-forums. It is exactly like the official but safer to install if you have an alternative recovery. You can nandroid backup and go back to CM6 if you want.
    I just backed up my rogers rom and trying a CM6 variant for new radio to see if the newest radio works any better. I suspect not but a new kernel will come soon now that we have an official 2.x rom. :cool:
     
  8. tiguy

    tiguy Member

    Joined:
    Aug 18, 2010
    Messages:
    6
    Likes Received:
    0
    Same problem here i successfully used the 911 RUU to go back to cupcake now my SPL is 1.76.0010 and my radio: 6.32.10.10.
    I did a Nandroid backup on CM6 before going to the 911 RUU but when i try to boot into recovery mode a get a big triangle with an orange exclamation point with a htc magic next to it.
     
  9. GreatBigDog

    GreatBigDog Well-Known Member

    Joined:
    Dec 3, 2009
    Messages:
    495
    Likes Received:
    46
    When you installed the e911 update your recovery wa overwritten by the stock one. You would have to root you phone again to get your custom recovery back.
     
  10. tiguy

    tiguy Member

    Joined:
    Aug 18, 2010
    Messages:
    6
    Likes Received:
    0
    But then how would i install the 2.1 update?
     
  11. GreatBigDog

    GreatBigDog Well-Known Member

    Joined:
    Dec 3, 2009
    Messages:
    495
    Likes Received:
    46
    There is a rooted version of the rom over at xda-developers.com or you can wait for the next round of ota updates.
     
  12. tiguy

    tiguy Member

    Joined:
    Aug 18, 2010
    Messages:
    6
    Likes Received:
    0
    Thank you very much for your fast answers. I think I'll wait for the next round of OTA.
     
  13. mjschmidt

    mjschmidt Well-Known Member

    Joined:
    Jun 27, 2009
    Messages:
    1,272
    Likes Received:
    113
    Bump
     
  14. Tangsta

    Tangsta New Member

    Joined:
    Sep 10, 2010
    Messages:
    2
    Likes Received:
    0
    Sorry, I've kinda neglected this thread. I ended up flashing Capychimp's rom cuz i got sick of OTA and manual RUU not working.

    I was rooted, but wanted to restore to original state hoping that I'd be able to get the OTA working.
     
  15. puleen

    puleen Well-Known Member

    Joined:
    Oct 6, 2009
    Messages:
    215
    Likes Received:
    7
    A few times that I tried updating the Magic to Android 2.1. I was running CM6 and had tried to run the 2.1 RUU but kept getting Signature errors. In the end I did the following three things.

    1. Booted up an XP machine and installed the E911 update via RUU
    2. Then I did a factory reset.
    3. After this I applied the OTA update, the update takes a long time about 2/3rd of the way.

    The original issue I was having was that when i was trying to load the E911 or the RUU Android 2.1 through Win7 it wouldn't work. Once I switched to Windows XP, it worked flawlessly.
     
  16. mjschmidt

    mjschmidt Well-Known Member

    Joined:
    Jun 27, 2009
    Messages:
    1,272
    Likes Received:
    113
    Bump
     

Share This Page

Loading...